<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>IAttachProperties (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IAttachProperties (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/IAttachProperties.html" target="_top">Frames</a></li>
<li><a href="IAttachProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Interface IAttachProperties" class="title">Interface IAttachProperties&lt;T extends IAttachProperties&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>, <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a>, <a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractImmutableAttachProperties</a>, <a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html" title="class in org.firebirdsql.gds.ng">FbConnectionProperties</a>, <a href="../../../../org/firebirdsql/gds/ng/FbImmutableConnectionProperties.html" title="class in org.firebirdsql.gds.ng">FbImmutableConnectionProperties</a>, <a href="../../../../org/firebirdsql/gds/ng/FbImmutableServiceProperties.html" title="class in org.firebirdsql.gds.ng">FbImmutableServiceProperties</a>, <a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html" title="class in org.firebirdsql.gds.ng">FbServiceProperties</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IAttachProperties&lt;T extends IAttachProperties&gt;</span></pre>
<div class="block">Common properties for database and service attach.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_CONNECT_TIMEOUT">DEFAULT_CONNECT_TIMEOUT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_PORT">DEFAULT_PORT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SERVER_NAME">DEFAULT_SERVER_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SO_TIMEOUT">DEFAULT_SO_TIMEOUT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SOCKET_BUFFER_SIZE">DEFAULT_SOCKET_BUFFER_SIZE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="type parameter in IAttachProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#asImmutable--">asImmutable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="type parameter in IAttachProperties">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#asNewMutable--">asNewMutable</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAttachObjectName--">getAttachObjectName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAuthPlugins--">getAuthPlugins</a></span>()</code>
<div class="block">Get the list of authentication plugins to try.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getCharSet--">getCharSet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getConnectTimeout--">getConnectTimeout</a></span>()</code>
<div class="block">Get the connect timeout in seconds.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getDbCryptConfig--">getDbCryptConfig</a></span>()</code>
<div class="block">Get the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getEncoding--">getEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPassword--">getPassword</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPortNumber--">getPortNumber</a></span>()</code>
<div class="block">Get the portnumber of the server.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getRoleName--">getRoleName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getServerName--">getServerName</a></span>()</code>
<div class="block">Get the hostname or IP address of the Firebird server.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSocketBufferSize--">getSocketBufferSize</a></span>()</code>
<div class="block">Get the socket buffer size.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSoTimeout--">getSoTimeout</a></span>()</code>
<div class="block">Get the initial Socket blocking timeout (SoTimeout).</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getUser--">getUser</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getWireCrypt--">getWireCrypt</a></span>()</code>
<div class="block">Get the wire encryption level.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</code>
<div class="block">Sets the authentication plugins to try.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setCharSet-java.lang.String-">setCharSet</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charSet)</code>
<div class="block">Set the Java character set for the connection.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setConnectTimeout-int-">setConnectTimeout</a></span>(int&nbsp;connectTimeout)</code>
<div class="block">Set the connect timeout in seconds.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</code>
<div class="block">Sets the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setEncoding-java.lang.String-">setEncoding</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Set the Firebird character set for the connection.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPortNumber-int-">setPortNumber</a></span>(int&nbsp;portNumber)</code>
<div class="block">Set the port number of the server.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setRoleName-java.lang.String-">setRoleName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;roleName)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setServerName-java.lang.String-">setServerName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverName)</code>
<div class="block">Set the hostname or IP address of the Firebird server.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSocketBufferSize-int-">setSocketBufferSize</a></span>(int&nbsp;socketBufferSize)</code>
<div class="block">Set the socket buffer size.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSoTimeout-int-">setSoTimeout</a></span>(int&nbsp;soTimeout)</code>
<div class="block">Set the initial Socket blocking timeout (SoTimeout).</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setUser-java.lang.String-">setUser</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></span>(<a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;wireCrypt)</code>
<div class="block">Set the wire encryption level.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_PORT</h4>
<pre>static final&nbsp;int DEFAULT_PORT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.IAttachProperties.DEFAULT_PORT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_SERVER_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_SERVER_NAME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DEFAULT_SERVER_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.IAttachProperties.DEFAULT_SERVER_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_SOCKET_BUFFER_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_SOCKET_BUFFER_SIZE</h4>
<pre>static final&nbsp;int DEFAULT_SOCKET_BUFFER_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.IAttachProperties.DEFAULT_SOCKET_BUFFER_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_SO_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_SO_TIMEOUT</h4>
<pre>static final&nbsp;int DEFAULT_SO_TIMEOUT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.IAttachProperties.DEFAULT_SO_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_CONNECT_TIMEOUT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_CONNECT_TIMEOUT</h4>
<pre>static final&nbsp;int DEFAULT_CONNECT_TIMEOUT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.gds.ng.IAttachProperties.DEFAULT_CONNECT_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getAttachObjectName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttachObjectName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAttachObjectName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The name of the object to attach to (either a database or service name).</dd>
</dl>
</li>
</ul>
<a name="getServerName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServerName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getServerName()</pre>
<div class="block">Get the hostname or IP address of the Firebird server.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SERVER_NAME"><code>DEFAULT_SERVER_NAME</code></a>
 if value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Hostname or IP address of the server</dd>
</dl>
</li>
</ul>
<a name="setServerName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setServerName</h4>
<pre>void&nbsp;setServerName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverName)</pre>
<div class="block">Set the hostname or IP address of the Firebird server.
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SERVER_NAME"><code>DEFAULT_SERVER_NAME</code></a> if
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serverName</code> - Hostname or IP address of the server</dd>
</dl>
</li>
</ul>
<a name="getPortNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPortNumber</h4>
<pre>int&nbsp;getPortNumber()</pre>
<div class="block">Get the portnumber of the server.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_PORT"><code>DEFAULT_PORT</code></a> if
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Portnumber of the server</dd>
</dl>
</li>
</ul>
<a name="setPortNumber-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPortNumber</h4>
<pre>void&nbsp;setPortNumber(int&nbsp;portNumber)</pre>
<div class="block">Set the port number of the server.
 <p>
 NOTE: Implementer should take care to use the <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_PORT"><code>DEFAULT_PORT</code></a> if
 this method hasn't been called yet.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>portNumber</code> - Port number of the server</dd>
</dl>
</li>
</ul>
<a name="getUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUser</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUser()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name of the user to authenticate to the server.</dd>
</dl>
</li>
</ul>
<a name="setUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUser</h4>
<pre>void&nbsp;setUser(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - Name of the user to authenticate to the server.</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Password to authenticate to the server.</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - Password to authenticate to the server.</dd>
</dl>
</li>
</ul>
<a name="getRoleName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoleName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRoleName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQL role to use.</dd>
</dl>
</li>
</ul>
<a name="setRoleName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRoleName</h4>
<pre>void&nbsp;setRoleName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;roleName)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roleName</code> - SQL role to use.</dd>
</dl>
</li>
</ul>
<a name="getCharSet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCharSet</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCharSet()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Java character set for the connection.</dd>
</dl>
</li>
</ul>
<a name="setCharSet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCharSet</h4>
<pre>void&nbsp;setCharSet(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charSet)</pre>
<div class="block">Set the Java character set for the connection.
 <p>
 Contrary to other parts of the codebase, the value of
 <code>encoding</code> should not be changed when <code>charSet</code> is
 set.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charSet</code> - Character set for the connection. Similar to
         <code>encoding</code> property, but accepts Java names instead
         of Firebird ones.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setEncoding-java.lang.String-"><code>setEncoding(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEncoding()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Firebird character encoding for the connection.</dd>
</dl>
</li>
</ul>
<a name="setEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEncoding</h4>
<pre>void&nbsp;setEncoding(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</pre>
<div class="block">Set the Firebird character set for the connection.
 <p>
 Contrary to other parts of the codebase, the value of
 <code>charSet</code> should not be changed when <code>encoding</code> is
 set.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encoding</code> - Firebird character encoding for the connection. See Firebird
         documentation for more information.</dd>
</dl>
</li>
</ul>
<a name="getSocketBufferSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSocketBufferSize</h4>
<pre>int&nbsp;getSocketBufferSize()</pre>
<div class="block">Get the socket buffer size.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SOCKET_BUFFER_SIZE"><code>DEFAULT_SOCKET_BUFFER_SIZE</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>socket buffer size in bytes, or -1 if not specified.</dd>
</dl>
</li>
</ul>
<a name="setSocketBufferSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSocketBufferSize</h4>
<pre>void&nbsp;setSocketBufferSize(int&nbsp;socketBufferSize)</pre>
<div class="block">Set the socket buffer size.
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SOCKET_BUFFER_SIZE"><code>DEFAULT_SOCKET_BUFFER_SIZE</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>socketBufferSize</code> - socket buffer size in bytes.</dd>
</dl>
</li>
</ul>
<a name="getSoTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSoTimeout</h4>
<pre>int&nbsp;getSoTimeout()</pre>
<div class="block">Get the initial Socket blocking timeout (SoTimeout).
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SO_TIMEOUT"><code>DEFAULT_SO_TIMEOUT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The initial socket blocking timeout in milliseconds (0 is
         'infinite')</dd>
</dl>
</li>
</ul>
<a name="setSoTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSoTimeout</h4>
<pre>void&nbsp;setSoTimeout(int&nbsp;soTimeout)</pre>
<div class="block">Set the initial Socket blocking timeout (SoTimeout).
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SO_TIMEOUT"><code>DEFAULT_SO_TIMEOUT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>soTimeout</code> - Timeout in milliseconds (0 is 'infinite')</dd>
</dl>
</li>
</ul>
<a name="getConnectTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectTimeout</h4>
<pre>int&nbsp;getConnectTimeout()</pre>
<div class="block">Get the connect timeout in seconds.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_CONNECT_TIMEOUT"><code>DEFAULT_CONNECT_TIMEOUT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Connect timeout in seconds (0 is 'infinite', or better: OS
         specific timeout)</dd>
</dl>
</li>
</ul>
<a name="setConnectTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectTimeout</h4>
<pre>void&nbsp;setConnectTimeout(int&nbsp;connectTimeout)</pre>
<div class="block">Set the connect timeout in seconds.
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_CONNECT_TIMEOUT"><code>DEFAULT_CONNECT_TIMEOUT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectTimeout</code> - Connect timeout in seconds (0 is 'infinite', or better: OS
         specific timeout)</dd>
</dl>
</li>
</ul>
<a name="getWireCrypt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWireCrypt</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;getWireCrypt()</pre>
<div class="block">Get the wire encryption level.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html#DEFAULT"><code>WireCrypt.DEFAULT</code></a> if
 the value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wire encryption level</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWireCrypt</h4>
<pre>void&nbsp;setWireCrypt(<a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;wireCrypt)</pre>
<div class="block">Set the wire encryption level.
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html#DEFAULT"><code>WireCrypt.DEFAULT</code></a> if
 the value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>wireCrypt</code> - Wire encryption level (<code>null</code> not allowed)</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="getDbCryptConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDbCryptConfig</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDbCryptConfig()</pre>
<div class="block">Get the database encryption plugin configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database encryption plugin configuration, meaning plugin specific</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
</dl>
</li>
</ul>
<a name="setDbCryptConfig-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDbCryptConfig</h4>
<pre>void&nbsp;setDbCryptConfig(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</pre>
<div class="block">Sets the database encryption plugin configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dbCryptConfig</code> - Database encryption plugin configuration, meaning plugin specific</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
</dl>
</li>
</ul>
<a name="getAuthPlugins--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuthPlugins</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAuthPlugins()</pre>
<div class="block">Get the list of authentication plugins to try.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="setAuthPlugins-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuthPlugins</h4>
<pre>void&nbsp;setAuthPlugins(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</pre>
<div class="block">Sets the authentication plugins to try.
 <p>
 Invalid names are skipped during authentication.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>authPlugins</code> - comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="asImmutable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asImmutable</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="type parameter in IAttachProperties">T</a>&nbsp;asImmutable()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An immutable version of this instance as an implementation of <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IAttachProperties</code></a></dd>
</dl>
</li>
</ul>
<a name="asNewMutable--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>asNewMutable</h4>
<pre><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="type parameter in IAttachProperties">T</a>&nbsp;asNewMutable()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A new, mutable, instance as an implementation of <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IAttachProperties</code></a> with all properties copied.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/IAttachProperties.html" target="_top">Frames</a></li>
<li><a href="IAttachProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
